<?php

$startTime = microtime(true);

$fileDir = dirname(__FILE__);
if (file_exists($fileDir . '/301config.php'))
{
	include($fileDir . '/301config.php');
}

require($fileDir . '/library/XenForo/Autoloader.php');
XenForo_Autoloader::getInstance()->setupAutoloader($fileDir . '/library');

XenForo_Application::initialize($fileDir . '/library', $fileDir);
XenForo_Application::set('page_start_time', $startTime);

$inputHandler = new XenForo_Input(new Zend_Controller_Request_Http());

$input = $inputHandler->filter(array(
	'f' => XenForo_Input::UINT,
	'page' => XenForo_Input::UINT,
));

$target = false;
if ($input['f'])
{
	/** @var XenForo_Model_Import $importModel */
	$importModel = XenForo_Model::create('XenForo_Model_Import');

	/** @var XenForo_Model_Node $nodeModel */
	$nodeModel = XenForo_Model::create('XenForo_Model_Node');

	if ($newId = $importModel->mapNodeId($input['f']))
	{
		if ($node = $nodeModel->getNodeById($newId))
		{
			$extraParams = array();

			if (defined('INCLUDE_PAGE_LINKS') && INCLUDE_PAGE_LINKS && $input['page'])
			{
				$extraParams['page'] = $input['page'];
			}

			$nodeTypes = $nodeModel->getAllNodeTypes();
			$route = $nodeTypes[$node['node_type_id']]['public_route_prefix'];

			$target = XenForo_Link::buildPublicLink('canonical:' . $route, $node, $extraParams);
		}
	}
}

if (!$target)
{
	$target = XenForo_Link::buildPublicLink('canonical:index');
}

$response = new Zend_Controller_Response_Http();
$response->setRedirect(XenForo_Link::convertUriToAbsoluteUri($target), 301);
$response->sendResponse();